<template>
  <div>
    <div class="font-bold" style="color: black;">Hoàn thành theo phân loại</div>
    <vs-tabs>
      <template v-for="(el, index) in ['List', 'Tag']">
        <vs-tab :label="classified_tabs[el].label" :key="index">
          <ClassifiedTabView
            :chartData="classified_tabs[el].chartData"
            :analyticsData="analyticsData"
          />
          <vs-divider class="my-6"></vs-divider>
          <CategoryRankingGrid
            v-if="classified_tabs[el].chartData.categoryRanking"
            :chartData="classified_tabs[el].chartData.categoryRanking"
          />
        </vs-tab>
      </template>
    </vs-tabs>
  </div>
</template>

<script>
import ClassifiedTabView from "./ClassifiedTabView";
import analyticsData from "./analyticsData.js";
import CategoryRankingGrid from "./CategoryRankingGrid";

export default {
  components: { ClassifiedTabView, CategoryRankingGrid },
  props: {
    chartData: { type: Object, default: () => ({}) }
  },
  data() {
    console.log(this.chartData.ByList);
    return {
      analyticsData: analyticsData,
      classified_tabs: {
        List: { label: "Dự án", value: 0, chartData: this.chartData.byList },
        Tag: { label: "Thẻ", value: 1, chartData: this.chartData.byTag }
      }
    };
  }
};
</script>
